Kreslení Bod

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Point and the translation is 24% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft BSpline.svg BSpline

Draft Point.svg Kreslení Bod

Umístění Menu
Kreslení -> Bod
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
P T
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Bod vytváří jednoduchý bod v aktuální pracovní rovině, užitečný jako referenční bod pro umisťování dalších objektů. Přebírá barvu předem nastavenou v záložce Úkoly.

Draft point example.jpg

A single point placed on the working plane


Použití

  1. Stiskněte tlačítko Draft Point.png Kreslení Bod nebo klávesy P potom T
  2. Klikněte na bod ve 3D pohledu nebo zadejte souřadnice

Volby

  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stisknutím tlačítka ESC nebo Zrušit zrušíte právě probíhající příkaz.

Vlastnosti

  • DataX: X souřadnice bodu
  • DataY: Y souřadnice bodu
  • DataZ: Z souřadnice bodu

Skriptování

Nástroj Bod může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Vytvoří bod na zadaných souřadnicích. Není-li zadána žádná ze souřadnic X, Y, Z, bude bod vytvořen na souřadnicích (0,0,0). Vrací nově vytvořený objekt.

Example:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Příklad:

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y; it also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft BSpline.svg BSpline